.\"	$NetBSD: sbp.4,v 1.2 2005/07/12 07:33:39 wiz Exp $
.\"
.\" Copyright (c) 2005 KIYOHARA Takashi
.\" All rights reserved.
.\"
.\" Copyright (c) 1998-2002 Katsushi Kobayashi and Hidetoshi Shimokawa
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the acknowledgement as bellow:
.\"
.\"      This product includes software developed by K. Kobayashi
.\"
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
.\" DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
.\" INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
.\" (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
.\" SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
.\" STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
.\" ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.\" $FreeBSD: /repoman/r/ncvs/src/share/man/man4/sbp.4,v 1.11 2004/06/16 08:33:54 ru Exp $
.\"
.Dd June 18, 2005
.Dt SBP 4
.Os
.Sh NAME
.Nm sbp
.Nd Serial Bus Protocol 2 (SBP-2) Mass Storage Devices driver
.Sh SYNOPSIS
.Cd "sbp* at ieee1394if? euihi ? euilo ?"
.Sh DESCRIPTION
The
.Nm
driver provides support for SBP-2 devices that attach to the IEEE1394 port.
It should work with all SBP-2 devices which the
.Xr scsi 4
layer supports, for example,
HDDs, CDROM drives, and DVD drives.
.Pp
Some users familiar with
.Xr umass 4
might wonder why the device is not detached at the
.Xr scsi 4
layer when the device is unplugged.
It is detached only if the device has not been plugged again during several
bus resets.
This is for preventing to detach an active file system even when the device
cannot be probed correctly for some reason after a bus reset or when the
device is temporary disconnected because the user changes the bus topology.
If you want to force to detach the device, run
.Ic fwctl -r
several times.
.Sh SEE ALSO
.Xr ieee1394if 4 ,
.Xr scsi 4 ,
.Xr fwctl 8 ,
.Xr scsictl 8 ,
.Xr sysctl 8
.Sh AUTHORS
.An -nosplit
The
.Nm
driver was written by
.An Katsushi Kobayashi
and
.An Hidetoshi Shimokawa .
.Pp
This manual page was written by
.An Katsushi Kobayashi .
It was added to
.Nx 4.0
by
.An KIYOHARA Takashi .
